import { __awaiter, __decorate } from "tslib";
import { customElement } from '@microsoft/fast-element';
import { commonLoginRouteStyles } from '../../styles';
import { BaseRoute } from '../base';
import { MFAMailSentTemplate as template } from './mfa-mail-sent.template';
let MFAMailSent = class MFAMailSent extends BaseRoute {
    connectedCallback() {
        const _super = Object.create(null, {
            connectedCallback: { get: () => super.connectedCallback }
        });
        return __awaiter(this, void 0, void 0, function* () {
            _super.connectedCallback.call(this);
        });
    }
    get headingText() {
        return 'Multi-Factor Authentication Required: Email Sent';
    }
    get mfaSentMessageText() {
        return ('A verification email has been sent to your registered email address. ' +
            'Please check your inbox and follow the instructions to complete the authentication process.');
    }
    get retryInstructionText() {
        return 'If you do not receive the email within a few minutes, please return to the login page and try again.';
    }
};
MFAMailSent = __decorate([
    customElement({
        name: 'foundation-login-mfa-mail-sent',
        template,
        styles: commonLoginRouteStyles,
    })
], MFAMailSent);
export { MFAMailSent };
